Skip to navigation

Get Category Tree

Returns a category tree.

Note: The default rate limit for this endpoint is 1 concurrent request.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

tree_idintegerRequired
The ID of the category tree.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

depthintegerOptional
Max depth for a tree of categories.

Response

Categories tree
datalist of objectsOptional
metaobjectOptional
Response metadata.

Errors

403
Forbidden Error
404
Not Found Error